DataMuseum.dk

Presents historical artifacts from the history of:

Regnecentalen RC-900

This is an automatic "excavation" of a thematic subset of
artifacts from Datamuseum.dk's BitArchive.

See our Wiki for more about Regnecentalen RC-900

Excavated with: AutoArchaeologist - Free & Open Source Software.


top - download

⟦7f087d306⟧ TextFile

    Length: 5455 (0x154f)
    Types: TextFile
    Notes: UNIX file
    Names: »INSTALL«

Derivation

└─⟦8c49fffd7⟧ Bits:30004165 Total restore rel. 1.1 for RC900
└─⟦8c49fffd7⟧ UNIX Filesystem
    └─ ⟦this⟧ »INSTALL« 

TextFile

#ident "@(#)INSTALL	1.10 - 88/08/29"

# RC COMPUTER	880829/HCA
#
# This script leads to a total restoration of the root and usr filesystems
# from a bust tape. It is addapted from INSTALL on the primary boot diskette.
# It runs disksetup.at to prompt the
# user for information about his disk and partitions thereon.  The
# disksetup program builds the following files:
# /etc/partitions -- with the disk characteristics and partitions from the
#                    user,
# fdisk.data -- used as re-directed input to fdisk to set aside a DOS area
#                on the disk and install the first-stage bootstrap,
# addparts -- contains the names of additional partitions the user may
#             want in addition to the required standard ones,
# mkfs.data -- contains information about each filesystem which the user
#              wants made.
#
# Thereafter each filesystem is made and mounted and the program /etc/trest
# is run to do the actual restoration of root & usr from a bust tape.

set -e                  # exit if anything bad happens
set +x
while :;do
echo
echo "                     Terminal nationality:"
echo
echo "                        1:	Danish"
echo
echo "                        2:	Swedish"
echo
echo "                        3:	German"
echo
echo "                        4:	English"
echo
echo "                        5:	US Ascii"
echo
echo "Type the number corresponding to the nationality of your terminal: \c"
read a
case $a in
	1)
	echo "keyb dk" > /etc/keybinit
	chmod +x /etc/keybinit
	keyb dk
	break
	;;
	2)
	echo "keyb sv" > /etc/keybinit
	chmod +x /etc/keybinit
	keyb sv
	break
	;;
	3)
	echo "keyb gr" > /etc/keybinit
	chmod +x /etc/keybinit
	keyb gr
	break
	;;
	4)
	echo "keyb uk" > /etc/keybinit
	chmod +x /etc/keybinit
	keyb uk
	break
	;;
	5)
	echo "keyb us" > /etc/keybinit
	chmod +x /etc/keybinit
	keyb us
	break
	;;
	*)
	echo "\007\n\n\n                     Unknown terminal type\n\n\n"
	continue
	;;
esac
done
echo
echo "          RC900  STREAMER  BACKUP  SYSTEM  Rel1.2"
echo "          ***************************************"
echo
echo "Total restoration of the first hard disk's root & usr filesystem"
echo "from a total backup tape created with 'bust' will be attempted."
echo "Please have the total backup tape(s) ready."
echo
echo "This process is similar to installing UNIX on your hard disk. It will" 
echo "destroy any and all data currently on that disk, INCLUDING DOS FILES!"
echo "Also notice that only the  root & usr filesystems are restored"
echo "Restoration of other filesystems should be done with the 'rest' program."
echo
echo "Do you wish to do a complete (destructive) restoration (y/n)? \c"
read a
if [ "$a" != "y" ]
then
	exit 1
fi
echo
echo "Do you wish to (re)format your hard disk (y/n)? \c"
read fmt
echo
echo "Do you wish to do a complete surface analysis?  Answer 'y' to write"
echo "and read every sector, 'n' to just read every sector.  NOTE: writing"
echo "the whole disk takes a while... (y/n)? \c"
read vf
if [ "$vf" = "y" ]
then    verf="V"
else    verf="v"
fi
echo
disksetup 3
echo
if [ "$fmt" = "n" ]
then
	echo "Initializing hard disk."
	/etc/mkpart -i disk0 >/dev/null 2>&1
else
	echo "Reformatting and initializing hard disk."
	interleave="0"
	while [ "$interleave" = "0" ]
	do
		echo ""
		echo "Please enter interleave factor (1 or 3) \c"
		read interleave
		if [ "$interleave" != "1" -a "$interleave" != "3" ]
		then
			interleave="0"
		fi
	done
	echo y | /etc/mkpart -i -F $interleave disk0
fi
echo "\nCreating DOS partition (if any)."
/etc/fdisk /dev/rdsk/0s0 <fdisk.data >/dev/null
echo "\nCreating standard UNIX partitions.\n"
# echo y | /etc/mkpart -P rootus -P swap -P reserved -P alts -$verf disk0
echo y | /etc/mkpart -P rootus -P swap -P reserved -P alts disk0
echo "\nCreating additional UNIX partitions."
while read pnam
do
	/etc/mkpart -P $pnam disk0
done <addparts
while read devnm
do
	read devsiz
	read cylsiz
	read fsnam
	echo "\nCreating file system for" $fsnam
	if [ $fsnam = "usr" ]
	then
		mfsnam="usrus"
	else
		mfsnam=$fsnam
	fi
	/etc/mkfs $devnm $devsiz 1 $cylsiz >/dev/null
	echo "Labeling" $fsnam
	/etc/labelit $devnm $fsnam disk0 >/dev/null
	sync
	mkdir /$mfsnam >/dev/null 2>&1
	set +e
	echo "\nMounting hard disk partition" $fsnam
	/etc/mount $devnm /$mfsnam >/dev/null 2>&1
	mntcd=$?
	set -e
	if [ $mntcd -ne 0 ]
	then    echo "\nMount of hard disk partition failed.  Attempting fsck."
		/etc/fsck -y $devnm
		/etc/mount $devnm /$mfsnam
	fi
	echo "Creating lost+found directory for" $fsnam
	mkdir /$mfsnam/lost+found
	chmod 777 /$mfsnam/lost+found
	x=1
	while [ $x -le 50 ]
	do
		>/$mfsnam/lost+found/tmp.$x
		x=`expr $x + 1`
	done
	rm -f /$mfsnam/lost+found/*
	sync
done <mkfs.data
sync
sync
set +e
/etc/trest
mntcd=$?
while [ $mntcd -ne 0 ]
do
	echo "\n*** Total restoration from tape failed ***"
	echo
	echo "Do you wish to try again (y/n) \c"
	read a
	if [ "$a" != "y" ]
	then
		echo
		echo "Total restoration of root & usr filesystems failed"
		echo "When you see \"Press any key to re-boot,\""
		echo "repeat the whole procedure."
		uadmin 2 0
		exit 1
	fi
	/etc/trest
	mntcd=$?
done
cd /
cp /etc/partitions /rootus/etc/partitions
while read devnm
do
	read devsiz
	read cylsiz
	read fsnam
	/etc/umount $devnm
done <mkfs.data
echo
echo "Total restoration of root & usr filesystems completed"
echo "When you see \"Press any key to re-boot,\""
echo "remove the floppy disk and re-boot the system from the hard disk."
echo ""
uadmin 2 0